Loading...
Searching...
No Matches
Halide::Internal::IRMatcher::IsInt< A > Struct Template Reference

`#include <IRMatch.h>`

## Classes

struct | pattern_tag

## Public Member Functions

HALIDE_ALWAYS_INLINE void | make_folded_const (halide_scalar_value_t &val, halide_type_t &ty, MatcherState &state) const

## Public Attributes

A | a
uint8_t | bits
uint16_t | lanes

## Static Public Attributes

static constexpr uint32_t | binds = bindings<A>::mask
static constexpr IRNodeType | min_node_type = IRNodeType::UIntImm
static constexpr IRNodeType | max_node_type = IRNodeType::UIntImm
static constexpr bool | canonical = true
static constexpr bool | foldable = true

## Detailed Description

template<typename A>
struct Halide::Internal::IRMatcher::IsInt< A >

Definition at line 2450 of file IRMatch.h.

## Member Function Documentation

## make_folded_const()

template<typename A>

HALIDE_ALWAYS_INLINE void Halide::Internal::IRMatcher::IsInt< A >::make_folded_const | ( | halide_scalar_value_t & | val,
|  | halide_type_t & | ty,
|  | MatcherState & | state ) const

inline

Definition at line 2466 of file IRMatch.h.

References a, bits, Halide::Type::bits(), halide_type_t::bits, halide_type_t::code, halide_type_uint, Halide::Type::is_int(), lanes, Halide::Type::lanes(), halide_type_t::lanes, halide_scalar_value_t::u, and halide_scalar_value_t::u64.

## Member Data Documentation

## a

template<typename A>

A Halide::Internal::IRMatcher::IsInt< A >::a

Definition at line 2452 of file IRMatch.h.

Referenced by make_folded_const(), and Halide::Internal::IRMatcher::operator<<().

## bits

template<typename A>

uint8_t Halide::Internal::IRMatcher::IsInt< A >::bits

Definition at line 2453 of file IRMatch.h.

Referenced by make_folded_const(), and Halide::Internal::IRMatcher::operator<<().

## lanes

template<typename A>

uint16_t Halide::Internal::IRMatcher::IsInt< A >::lanes

Definition at line 2454 of file IRMatch.h.

Referenced by make_folded_const(), and Halide::Internal::IRMatcher::operator<<().

## binds

template<typename A>

uint32_t Halide::Internal::IRMatcher::IsInt< A >::binds = bindings<A>::mask

static constexpr

Definition at line 2456 of file IRMatch.h.

## min_node_type

template<typename A>

IRNodeType Halide::Internal::IRMatcher::IsInt< A >::min_node_type = IRNodeType::UIntImm

static constexpr

Definition at line 2459 of file IRMatch.h.

## max_node_type

template<typename A>

IRNodeType Halide::Internal::IRMatcher::IsInt< A >::max_node_type = IRNodeType::UIntImm

static constexpr

Definition at line 2460 of file IRMatch.h.

## canonical

template<typename A>

bool Halide::Internal::IRMatcher::IsInt< A >::canonical = true

static constexpr

Definition at line 2461 of file IRMatch.h.

## foldable

template<typename A>

bool Halide::Internal::IRMatcher::IsInt< A >::foldable = true

static constexpr

Definition at line 2463 of file IRMatch.h.

The documentation for this struct was generated from the following file:

- src/IRMatch.h